Bug Hunting Session
Bug 76649 - Trend line invisible if first data point is missing x value
Summary: Trend line invisible if first data point is missing x value
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:5.1.0 target:5.0.2 target:4.4.6
Keywords: regression
: 91020 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-03-26 16:52 UTC by Shimi Chen
Modified: 2016-10-25 19:23 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of the bug (20.68 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-03-26 16:52 UTC, Shimi Chen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shimi Chen 2014-03-26 16:52:16 UTC
Created attachment 96421 [details]
Example of the bug

Trend lines are invisible if the x value is missing from the first data points. It works fine if any other x value is missing as far as I could tell.

This used to not happen (Found this bug by opening a document made with 4.1 and suddenly the trend line was missing).

Installed version is:
Version: 4.2.2.1
Build ID: 4.2.2.1 Arch Linux build-2

Attached is a simple example .ods file.
Comment 1 Tomaz Vajngerl 2014-03-26 18:38:18 UTC
Thanks, I'll take a look at this.
Comment 2 tom.hilinski 2014-05-07 19:56:01 UTC
Confirmed in Version: 4.2.3.3
Build ID: 882f8a0a489bc99a9e60c7905a60226254cb6ff0

Please up the priority.
Comment 3 Laurent BP 2015-06-10 20:47:01 UTC
*** Bug 91020 has been marked as a duplicate of this bug. ***
Comment 4 Laurent BP 2015-06-10 20:52:06 UTC
Complements from bug 91020:
- no bug in LibO 4.1.6.2 => set as regression
- first version 4.2.0.0
- all hardware and software
Comment 5 Commit Notification 2015-07-24 16:19:28 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae5ff039f697016a9c04b8f99c24f4e620ce4c65

tdf#76649 Skip NaN initial values for min and max

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-07-24 16:26:17 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fad158c87e99eeac9bcecca2d699e800878d5c82

Revert "tdf#76649 Skip NaN initial values for min and max"

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-08-13 09:50:24 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3abc191e24bd2e812836257024d14557a6238ce

tdf#76649 Skip NaN initial values for min and max

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-08-13 09:51:35 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b129825f90bf7aee51e57fd11a5b81fbd5f16d1

tdf#76649 test case for this issue

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-08-20 09:19:20 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a45cad345e917f6d43c26e4c682c6066c8e2b88a&h=libreoffice-5-0

tdf#76649 Skip NaN initial values for min and max

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-08-20 09:21:42 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b001090ac2516e7c17612fa773be6bef6c30bb32&h=libreoffice-4-4

tdf#76649 Skip NaN initial values for min and max

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.